> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shipstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Slotting Rule Set

> Returns one Slotting Rule Set identified by the warehouse `id` and
`rule_set_id` path parameters.



## OpenAPI

````yaml GET /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}
openapi: 3.0.3
info:
  title: ShipStream
  version: '1.0'
  license:
    name: Commercial (Copyright 2025 - All Rights Reserved)
    url: https://shipstream.io
  contact:
    name: ShipStream Support
    email: help@shipstream.io
  termsOfService: https://shipstream.io/legal/api-terms/
servers:
  - url: https://{base_url_domain}/api/global
    description: Direct API Url
    variables:
      base_url_domain:
        default: example.shipstream.app
        description: >-
          The fully qualified domain name for your ShipStream WMS instance. This
          is either a custom domain, or a subdomain of shipstream.app,

          and will be the same as the domain name for the page which you use to
          login to ShipStream WMS.
security:
  - ShipStream_bearerAuth: []
tags:
  - name: Warehouses
    x-displayName: Warehouses
  - name: Products
    x-displayName: Products
  - name: ProductProfiles
    x-displayName: ProductProfiles
  - name: HandlingClasses
    x-displayName: HandlingClasses
  - name: Locations
    x-displayName: Locations
  - name: LocationTags
    x-displayName: LocationTags
  - name: SlotTypes
    x-displayName: SlotTypes
  - name: Levels
    x-displayName: Levels
  - name: HoldReasons
    x-displayName: HoldReasons
  - name: Holds
    x-displayName: Holds
  - name: Replenishment
    x-displayName: Replenishment
  - name: LocationProfiles
    x-displayName: LocationProfiles
  - name: SlottingRules
    x-displayName: SlottingRules
  - name: Deliveries
    description: Every thing about a Delivery Receiving
    x-displayName: Deliveries
  - name: Shipments
    x-displayName: Shipments
  - name: Orders
    x-displayName: Orders
  - name: Retailers
    x-displayName: Retailers
  - name: Users
    x-displayName: Users
  - name: User Roles
    x-displayName: User Roles
  - name: Merchants
    x-displayName: Merchants
  - name: Healthcheck
    x-displayName: Healthcheck
paths:
  /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}:
    get:
      tags:
        - SlottingRules
      summary: Get Slotting Rule Set
      description: |-
        Returns one Slotting Rule Set identified by the warehouse `id` and
        `rule_set_id` path parameters.
      operationId: getSlottingRuleSet
      parameters:
        - name: id
          in: path
          schema:
            type: integer
            format: int32
          required: true
          description: The `id` of the referenced `Warehouse`.
        - name: rule_set_id
          in: path
          schema:
            type: integer
            format: int32
          required: true
          description: The `id` of the referenced `SlottingRuleSet`.
        - $ref: '#/components/parameters/Inventory_API_v1_slotting-rule-set-fields'
      responses:
        '200':
          description: The requested Warehouse Slotting Rule Set.
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/Inventory_API_v1_SlottingRuleSet'
                  included:
                    type: object
                    description: >-
                      Always empty because Rule Sets have no expandable
                      relationships in this slice.
                  meta:
                    $ref: '#/components/schemas/Inventory_API_v1_meta'
              example:
                resource:
                  type: SlottingRuleSet
                  id: 18
                  name: Hazmat Storage Rules
                  description: Keeps regulated aerosols in approved storage areas.
                  is_active: true
                  rule_count: 6
                  has_conflicts: true
                  conflicting_rule_count: 1
                  created_at: '2026-07-18T13:20:00Z'
                  updated_at: '2026-08-09T16:42:00Z'
                included: {}
                meta:
                  processing_time: 0.0048
        '400':
          $ref: '#/components/responses/Inventory_API_v1_400-bad-request'
        '404':
          $ref: '#/components/responses/Inventory_API_v1_404-not-found'
        '500':
          $ref: '#/components/responses/Inventory_API_v1_500-internal-server-error'
components:
  parameters:
    Inventory_API_v1_slotting-rule-set-fields:
      name: fields
      in: query
      required: false
      description: >-
        Specify fields of the `SlottingRuleSet` object to include in the
        response.

        See the [selecting fields](/global-api/selecting-fields) page for more
        information.
      explode: false
      schema:
        $ref: '#/components/schemas/Inventory_API_v1_slotting-rule-set-fields-enum'
  schemas:
    Inventory_API_v1_SlottingRuleSet:
      title: SlottingRuleSet
      type: object
      description: |-
        Warehouse-scoped collection of Slotting Rules that can be activated or
        deactivated as one unit.
      properties:
        type:
          type: string
          enum:
            - SlottingRuleSet
          readOnly: true
          description: Resource type.
        id:
          type: integer
          format: int32
          minimum: 1
          readOnly: true
          description: Slotting Rule Set ID.
        name:
          type: string
          minLength: 1
          maxLength: 255
          description: Human-readable name, unique within the warehouse.
          example: Hazmat Storage Rules
        description:
          type: string
          nullable: true
          description: Optional purpose or operating note for the Rule Set.
          example: Keeps regulated aerosols in approved storage areas.
        is_active:
          type: boolean
          description: Whether child Rules currently participate in Slotting decisions.
        rule_count:
          type: integer
          minimum: 0
          readOnly: true
          description: Number of Rules in the Set.
        has_conflicts:
          type: boolean
          readOnly: true
          description: Whether at least one Rule currently has a recorded conflict.
        conflicting_rule_count:
          type: integer
          minimum: 0
          readOnly: true
          description: Number of Rules with recorded conflicts.
        created_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
          description: Time when the Rule Set was created.
        updated_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
          description: Time when the Rule Set was last updated.
      required:
        - type
        - id
      additionalProperties: false
      example:
        type: SlottingRuleSet
        id: 18
        name: Hazmat Storage Rules
        description: Keeps regulated aerosols in approved storage areas.
        is_active: true
        rule_count: 6
        has_conflicts: true
        conflicting_rule_count: 1
        created_at: '2026-07-18T13:20:00Z'
        updated_at: '2026-08-09T16:42:00Z'
    Inventory_API_v1_meta:
      type: object
      properties:
        processing_time:
          type: number
          description: Total time in which request is processed and response is sent back.
          example: 0.2525252525
        cursor_start:
          type: integer
          description: >-
            A cursor for use in pagination which defines the starting `id` of
            the next page of results.

            See [paging parameters](/global-api/paging-parameters) for more
            information on paging.
          nullable: true
        cursor_end:
          type: integer
          description: >-
            A cursor for use in pagination which defines the last `id` of the
            next page of results, non-inclusive.

            See [paging parameters](/global-api/paging-parameters) for more
            information on paging.
          nullable: true
        count:
          type: integer
          description: >-
            The total number of items matching the query before applying paging
            parameters.

            This field is only present if the query parameter `count=1` is
            present in the request.
      description: Additional metadata pertaining to the response.
    Inventory_API_v1_slotting-rule-set-fields-enum:
      title: SlottingRuleSet
      description: >-
        Specify fields of the `SlottingRuleSet` object to include in the
        response.
      type: array
      items:
        type: string
        enum:
          - all
          - name
          - description
          - is_active
          - rule_count
          - has_conflicts
          - conflicting_rule_count
          - created_at
          - updated_at
  responses:
    Inventory_API_v1_400-bad-request:
      description: >-
        The request was invalid. The client must change the request. See the
        response body for more details.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - parser
                        - parameters
                        - openapi
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: parameters
                message: The supplied parameters are invalid.
    Inventory_API_v1_404-not-found:
      description: >-
        The requested resource was not found. It may have been deleted, it may
        have never existed, or you may not have permission to view it.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - not_found
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: not_found
                message: The server could not find the requested resource.
    Inventory_API_v1_500-internal-server-error:
      description: >-
        Internal Server Error - Something wrong happened at server side. Contact
        server administrator for more details.
  securitySchemes:
    ShipStream_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Generate a JWT access token through a Custom Global Integration and
        provide it with each request in the `Authorization` header prefixed with
        "Bearer" and then a single space.

````